%define upstream_name    MooseX-ClassAttribute
%define upstream_version 0.26

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Declare class attributes Moose-style
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Moose) >= 1.230.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Requires) >= 0.50.0
BuildRequires: perl(namespace::autoclean) >= 0.110.0
BuildRequires: perl(namespace::clean) >= 0.200.0
BuildArch:  noarch

%description
This module allows you to declare class attributes in exactly the same way
as you declare object attributes, except using 'class_has()' instead of
'has()'. It is also possible to make these attributes immutable (and
faster) just as you can with normal Moose attributes.

You can use any feature of Moose's attribute declarations, including
overriding a parent's attributes, delegation ('handles'), and attribute
metaclasses, and it should just work.

The accessors methods for class attribute may be called on the class
directly, or on objects of that class. Passing a class attribute to the
constructor will not set it.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes INSTALL LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/MooseX

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.260.0-2.mga3
+ Revision: 370142
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 0.260.0-1.mga2
+ Revision: 107109
- update to 0.26

* Sat Feb 26 2011 jquelin <jquelin> 0.240.0-1.mga1
+ Revision: 60246
- update to 0.24

* Wed Feb 16 2011 jquelin <jquelin> 0.230.0-1.mga1
+ Revision: 52585
- update to 0.23

* Tue Jan 25 2011 jquelin <jquelin> 0.210.0-1.mga1
+ Revision: 38595
- mageia rebuild
- imported package perl-MooseX-ClassAttribute

